Subject: bug#34078: typo in gnu grep's manual ?

From: Eric Blake <[email-masked]>
Date: Mon, 14 Jan 2019 14:39:11 -0600

On 1/14/19 12:24 PM, phs wrote:
> I have gnu grep v3.3 as packaged by Homebrew
> 
> When I type man grep, the two sentences in the DESCRIPTION paragraph reads
> 
>        grep searches for PATTERNS in each FILE.  PATTERNS is one or
> patterns separated by newline characters, and grep prints each line that
> matches a pattern.
> 
> Obviously, the second sentence should read "PATTERNS is one or several
> patterns" but the word 'several' is missing.

Thanks for the report.  I'd prefer "more" over "several" in this context.

> 
> Looking at the source tree in
> http://git.savannah.gnu.org/cgit/grep.git/commit/ I do not see a file
> share/man/man1/grep.1 like I have on my laptop, so maybe the bug is with
> the brew packaging...

Not a packaging bug, but because the man page is generated from 'grep
--help' output combined with a template; running:

git grep 'is one or'

quickly locates the culprit file of doc/grep.in.1.

-- 
Eric Blake, Principal Software Engineer
Red Hat, Inc.           +1-919-301-3226
Virtualization:  qemu.org | libvirt.org